<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 商品マスタメンテ在庫確認
 *
 * @package     Admin.Itemmanage.Change.Stock.Check
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Change_Stock_Check
{
    var $itemupdate;
    var $name;
    var $view;
    var $stockview;
    
    var $cd;
    var $structcd;
    var $stockcd;
    
    var $from;
    
    var $itemdiv;
    var $jancode;
    var $hinban;
    var $itemtitle;
    var $release_date_start;
    var $release_date_end;
    var $publish_date_start;
    var $publish_date_end;
    var $maker_capital;
    var $maker_name;
    var $media;
    var $cast;
    var $situation;
    var $photo_situation;
    var $publish_situation;
    var $sort;
    var $genre_select;
    
    var $updcnt;
    var $actionnm;
    
    var $itemnm;
    var $makeritemcd;
    var $medianm;
    
    var $sellingprice;
    var $costprice;
    var $souryouprc;
    var $supplidiv;
    var $exhibitcount;
    var $condition;

    var $stockstate;
    var $itemexp;
    
    
    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {   
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Change_Stock_Checkが実行されました", "Admin_Itemmanage_Change_Stock_Check#execute");
        
        return 'check_success';
    }
    
    
    /**
    * マスタより Name取得
    */
    function getSupplidivName()
    {
        return $this->itemupdate->getSupplidivName($this->supplidiv);
    }
    
    function getConditionName()
    {
        return $this->itemupdate->getConditionName($this->condition);
    }
    
    function getStockstateName()
    {
        return $this->itemupdate->getStockstateName($this->stockstate);
    }
    
    
    /** 
    * マスタより エラー用リスト取得
    */
    function SupplidivList()
    {
        return $this->itemupdate->SupplidivList();
    }
    
    function ConditionList()
    {
        return $this->itemupdate->ConditionList();
    }
    
    function StockstateList()
    {
        return $this->itemupdate->StockstateList();
    }
    
    
}
?>
